##############################################################################
## Provision Database                                                        #
##############################################################################
- name: Setup Database
  block:
  - name: Create Database
    mysql_db:
      login_host: '{{ db_host_value }}'
      login_port: '{{ db_port_value }}'
      login_user: '{{ db_admin_user_value }}'
      login_password: '{{ db_admin_password_value }}'
      name: '{{ db_name_value }}'
      encoding: utf8
      state: present

  - name: Create user
    mysql_user:
      host: '%'
      login_host: '{{ db_host_value }}'
      login_port: '{{ db_port_value }}'
      login_user: '{{ db_admin_user_value }}'
      login_password: '{{ db_admin_password_value }}'
      name: '{{ db_user_value }}'
      password: '{{ db_password_value }}'
      priv: '{{ db_name_value }}.*:ALL,GRANT'
      state: present

  rescue:
    - include_role:
        name: mail_handler
        tasks_from: failure

    - name: Writing Termination Message '/dev/termination-log'
      shell: >
        echo "Failed task -> {{ ansible_failed_task.name }}.
        Error was -> {{ ansible_failed_result.msg }}"
        > /dev/termination-log

    - fail:
        msg: "Error in task {{ ansible_failed_task.name }}: {{ ansible_failed_result.msg }}"   